> ## Documentation Index
> Fetch the complete documentation index at: https://developers.betdex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Account Metrics

> Fetch a set of wallet account metrics for given wallet-id and currency-id



## OpenAPI

````yaml https://docs.api.monacoprotocol.xyz/api/v1/exchange-openapi-general.json get /wallets/{id}/metrics
openapi: 3.1.0
info:
  title: BetDEX General Integration API
  description: >-
    A RESTful API that allows you to interact with the BetDEX Exchange. Provides
    endpoints for managing Events, Markets, Sessions, Wallets and Orders. To
    interact with the API, a client must have an App Id and an API Key to
    authenticate and create a session.
  version: '0.1'
servers:
  - url: https://sandbox.api.btdx.io/
    description: Sandbox API Server
  - url: https://prod.api.btdx.io/
    description: Production API Server
security: []
tags:
  - name: API Key Management
  - name: App Management
  - name: Currencies
  - name: Event Categories
  - name: Event Groups
  - name: Event Subcategories
  - name: Events
  - name: External Reference Sources
  - name: Heartbeat Management
  - name: Market Prices
  - name: Market Types
  - name: Markets
  - name: Orders
  - name: Participants
  - name: Session Management
  - name: Status
  - name: Trades
  - name: Wallet API Key Management
  - name: Wallets
paths:
  /wallets/{id}/metrics:
    get:
      tags:
        - Wallets
      summary: Get Wallet Account Metrics
      description: >-
        Fetch a set of wallet account metrics for given wallet-id and
        currency-id
      operationId: getMetrics
      parameters:
        - name: authorization
          in: header
          description: Header with the accessToken for the current session
          required: true
          schema:
            type: string
          example: Bearer eyJ0eXAiOiJ...bjV7AtDgA
        - name: id
          in: path
          description: wallet id for which to fetch metrics
          required: true
          schema:
            type: string
        - name: currencyId
          in: query
          description: currency id for which to fetch metrics
          required: true
          schema:
            type: string
        - name: fromDateTime
          in: query
          description: starting from date
          required: true
          schema:
            type: string
            format: date-time
        - name: toDateTime
          in: query
          description: starting to date
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WalletMetricsResponse'
        '401':
          description: Session invalid
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WalletMetricsResponse'
        '403':
          description: Missing permission
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WalletMetricsResponse'
        '404':
          description: Not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WalletMetricsResponse'
components:
  schemas:
    WalletMetricsResponse:
      type: object
      properties:
        _meta:
          $ref: '#/components/schemas/Meta'
        walletMetrics:
          $ref: '#/components/schemas/WalletMetrics'
          description: collection of wallet metrics
    Meta:
      type: object
      properties:
        _primary_document:
          type: string
          enum:
            - apiKeys
            - apps
            - categories
            - commissionRates
            - currencies
            - depositAddresses
            - depositRequests
            - events
            - eventGroups
            - externalReferences
            - externalReferenceSources
            - heartbeats
            - ids
            - markets
            - marketOutcomes
            - marketPositions
            - marketTypes
            - orders
            - participants
            - prices
            - priceLadders
            - sessions
            - statuses
            - subcategories
            - trades
            - transactions
            - wallets
            - walletMetrics
            - withdrawalRequests
        _count:
          type: integer
          format: int32
        _page:
          $ref: '#/components/schemas/PageMeta'
    WalletMetrics:
      type: object
      description: wallet metric
      properties:
        open:
          $ref: '#/components/schemas/WalletMetric'
          description: >-
            metrics for open orders: total equals to a unmatched stake for all
            orders, count equals to a number all 'Unmatched' and
            'PartiallyMatched' orders
        matched:
          $ref: '#/components/schemas/WalletMetric'
          description: >-
            metrics for matched orders: total equals to a matched stake for all
            'Matched' orders, count equals to a number all 'Matched' orders
        cancelled:
          $ref: '#/components/schemas/WalletMetric'
          deprecated: true
          description: >-
            metrics for cancelled orders: this is now deprecated and this field
            will be removed in a subsequent release
        settled:
          $ref: '#/components/schemas/WalletMetric'
          description: >-
            metrics for settled orders: total equals to a matched stake for all
            'Matched' orders, count equals to a number all 'Won' or 'Lost'
            orders
        voided:
          $ref: '#/components/schemas/WalletMetric'
          description: >-
            metrics for voided orders: total equals to a voided stake for all
            'Voided' orders, count equals to a number all 'Voided' orders
    PageMeta:
      type: object
      properties:
        _pageNumber:
          type: integer
          format: int32
        _pageSize:
          type: integer
          format: int32
        _totalElements:
          type: integer
          format: int64
        _totalPages:
          type: integer
          format: int32
    WalletMetric:
      type: object
      properties:
        total:
          type: number
          description: >-
            orders total risked ('stake' for backers and 'stake * (price - 1)'
            for layers
        count:
          type: integer
          format: int32
          description: orders count

````